<?php

//ADMIN MENU INTERFACES

add_action('admin_menu','gd_pbl_menu');

function gd_pbl_menu() {

	//create new top-level menu
	add_menu_page('GD Business Listings','GD Listings','administrator','gd_pbl_settings','gd_pbl_settings_page','/wp-content/plugins/gd-paid-business-listings/images/gdicon.png');
	//create new submenus
	add_submenu_page('gd_pbl_settings','Packages','Listings Packages','administrator','gd_pbl_settings_packages','gd_pbl_packages_page');
	add_submenu_page('gd_pbl_settings','Categories','Listings Categories','administrator','gd_pbl_settings_categories','gd_pbl_categories_page');
	add_submenu_page('gd_pbl_settings','Listings','Business Listings','administrator','gd_pbl_settings_listings','gd_pbl_listings_page');
	add_submenu_page('','Edit Listings','Edit Listings','administrator','gd_pbl_settings_edit_listings','gd_pbl_edit_listing_page');

	//call register settings function
	add_action('admin_init','register_gd_pbl_settings');
}
