<?php

function display_gd_form($atts) {
	global $wpdb;

	function getCategoryName($id){
	global $wpdb;
		$category = $wpdb->get_row("SELECT name FROM wp_pbl_categories WHERE id = $id");
		if($category->name==""){
			return "--";
		}else{
			return $category->name;
		}
	}
	
	function getPackageName($id){
	global $wpdb;
		$package = $wpdb->get_row("SELECT name FROM wp_pbl_packages WHERE id = $id");
		if($package->name==""){
			return "--";
		}else{
			return $package->name;
		}
	}
	
$primary_color=get_option('gd_primary_hex_color');
$secondary_color=get_option('gd_secondary_hex_color');

if($_POST['action']=="paypal_form"){
global $wpdb;

	function getPackageDuration($id){
	global $wpdb;
	$package = $wpdb->get_row("SELECT duration FROM wp_pbl_packages WHERE id = $id");
		if($package->duration==1){
			return "+1 month";
		}else{
			return "+".$package->duration." months";
		}
	}

	$name=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_name']));
	$logo_url=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_logo_url']));
	$description=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_description']));
	$phone=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_phone']));
	$url=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_url']));
	$email=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_email']));
	$address=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_address']));
	$city=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_city']));
	$state=$_POST['gd_pbl_listing_state'];
	$zip=mysql_real_escape_string(stripslashes($_POST['gd_pbl_listing_zip']));
	$cat_id=$_POST['gd_pbl_listing_cat_id'];
	$pkg_id=$_POST['gd_pbl_listing_pkg_id'];
	$time_listed=time();

	$durmonths=getPackageDuration($pkg_id);
	$time_expired=strtotime($durmonths);

	$wpdb->insert('wp_pbl_listings',array('name'=>$name,'logo_url'=>$logo_url,'description'=>$description,'phone'=>$phone,'url'=>$url,'email'=>$email,'address'=>$address,'city'=>$city,'state'=>$state,'zip'=>$zip,'cat_id'=>$cat_id,'pkg_id'=>$pkg_id,'time_listed'=>$time_listed,'time_expired'=>$time_expired,'active'=>0));
		
	$package_info = $wpdb->get_row("SELECT id,name,cost,duration FROM wp_pbl_packages WHERE id='$pkg_id'");
	$submission_info = $wpdb->get_row("SELECT id FROM wp_pbl_listings WHERE time_listed='$time_listed'");
?>	
<p><?php echo get_option('gd_step_two_message'); ?></p>
<div id="gd-form-wrapper">
<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
<input type="hidden" name="cmd" value="_xclick">
<input type="hidden" name="business" value="<?php echo get_option('gd_pbl_ppemail'); ?>">
<input type="hidden" name="lc" value="US">
<input type="hidden" name="item_name" value="<?php echo $package_info->name; ?>">
<input type="hidden" name="amount" value="<?php echo $package_info->cost; ?>">
<input type="hidden" name="currency_code" value="USD">
<input type="hidden" name="button_subtype" value="services">
<input type="hidden" name="no_note" value="1">
<input type="hidden" name="no_shipping" value="1">
<input type="hidden" name="rm" value="1">
<input type="hidden" name="return" value="<?php bloginfo('url'); ?>/?page_id=<?php echo get_option('gd_page_id'); ?>&subid=<?php echo $submission_info->id; ?>&sc=1">
<input type="hidden" name="cancel_return" value="<?php bloginfo('url'); ?>/?page_id=<?php echo get_option('gd_page_id'); ?>&subid=<?php echo $submission_info->id; ?>&sc=0">
<input type="hidden" name="bn" value="PP-BuyNowBF:btn_buynowCC_LG.gif:NonHosted">
<input type="hidden" name="notify_url" value="<?php bloginfo('url'); ?>/?page_id=<?php echo get_option('gd_page_id'); ?>">
<input type="image" src="<?php echo get_option('gd_pbl_buttimg'); ?>" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
<img alt="" border="0" src="https://www.paypalobjects.com/WEBSCR-640-20110306-1/en_US/i/scr/pixel.gif" width="1" height="1">
</form>
<div style="clear:both;"></div></div>

<?php 

}else{

	function getCategoryList(){
	global $wpdb;
		$categories = $wpdb->get_results("SELECT id,name FROM wp_pbl_categories");
		if(count($categories)==0){
			return "No categories are currently set up.";
		}elseif(count($categories)==1){
			foreach($categories as $cat){
				$id=$cat->id;
				$name=stripslashes($cat->name);
				return "<em>$name</em><input type='hidden' name='gd_pbl_listing_cat_id' value='$id' />";
			}
		}else{
			return "<select name='gd_pbl_listing_cat_id'>";
			foreach($categories as $cat){
				$id=$cat->id;
				$name=stripslashes($cat->name);
				return "<option value='$id' $sel>$name</option>";
			}
			return "</select>";
		}
	}
	
	function getPackageList(){
	global $wpdb;
		$packages = $wpdb->get_results("SELECT id,name,cost,duration FROM wp_pbl_packages");
		if(count($packages)==0){
			return "No packages are currently set up.";
		}elseif(count($packages)==1){
			foreach($packages as $pkg){
				$id=$pkg->id;
				$name=stripslashes($pkg->name);
				$cost=stripslashes($pkg->cost);
				$duration=stripslashes($pkg->duration);
				if($duration==1){$monthtense="month";}else{$monthtense="months";}
				return "<em>$name - \$$cost/$duration $monthtense</em><input type='hidden' name='gd_pbl_listing_pkg_id' value='$id' />";
			}
		}else{
			return "<select name='gd_pbl_listing_pkg_id'>";
			foreach($packages as $pkg){
				$id=$pkg->id;
				$name=stripslashes($pkg->name);
				$cost=stripslashes($pkg->cost);
				$duration=stripslashes($pkg->duration);
				if($duration==1){$monthtense="month";}else{$monthtense="months";}
				return "<option value='$id'>$name - \$$cost/$duration $monthtense</option>";
			}
			return "</select>";
		}
	}

?>
<p><?php echo get_option('gd_step_one_message'); ?></p>
<div id="gd-form-wrapper">
<form method="post">
	<input type="hidden" name="action" value="paypal_form" />
    <table>
        <tr>
        <td class="label">Company Name</td>
        <td class="input"><input type="text" name="gd_pbl_listing_name" value="" /></td>
        </tr>
         
        <tr>
        <td class="label">Logo URL</td>
        <td class="input"><input type="text" name="gd_pbl_listing_logo_url" value="" /></td>
        </tr>
         
        <tr>
        <td class="label">Business Description</td>
        <td class="input"><textarea name="gd_pbl_listing_description" ></textarea></td>
        </tr>

        <tr>
        <td class="label">Business Phone</td>
        <td class="input"><input type="text" name="gd_pbl_listing_phone" value="" /></td>
        </tr>
         
        <tr>
        <td class="label">Website URL</td>
        <td class="input"><input type="text" name="gd_pbl_listing_url" value="" /></td>
        </tr>

        <tr>
        <td class="label">Business Email Address</td>
        <td class="input"><input type="text" name="gd_pbl_listing_email" value="" /></td>
        </tr>

        <tr>
        <td class="label">Street Address</td>
        <td class="input"><input type="text" name="gd_pbl_listing_address" value="" /></td>
        </tr>

        <tr>
        <td class="label">City</td>
        <td class="input"><input type="text" name="gd_pbl_listing_city" value="" /></td>
        </tr>

        <tr>
        <td class="label">State</td>
        <td class="input">
        <select name="gd_pbl_listing_state">
        	<option value="AK">AK</option>
			<option value="AL">AL</option>
			<option value="AR">AR</option>
			<option value="AZ">AZ</option>
			<option value="CA">CA</option>
			<option value="CO">CO</option>
			<option value="CT">CT</option>
			<option value="DC">DC</option>
			<option value="DE">DE</option>
			<option value="FL">FL</option>
			<option value="GA">GA</option>
			<option value="HI">HI</option>
			<option value="IA">IA</option>
			<option value="ID">ID</option>
			<option value="IL">IL</option>
			<option value="IN">IN</option>
			<option value="KS">KS</option>
			<option value="KY">KY</option>
			<option value="LA">LA</option>
			<option value="MA">MA</option>
			<option value="MD">MD</option>
			<option value="ME">ME</option>
			<option value="MI">MI</option>
			<option value="MN">MN</option>
			<option value="MO">MO</option>
			<option value="MS">MS</option>
			<option value="MT">MT</option>
			<option value="NC">NC</option>
			<option value="ND">ND</option>
			<option value="NE">NE</option>
			<option value="NH">NH</option>
			<option value="NJ">NJ</option>
			<option value="NM">NM</option>
			<option value="NV">NV</option>
			<option value="NY">NY</option>
			<option value="OH">OH</option>
			<option value="OK">OK</option>
			<option value="OR">OR</option>
			<option value="PA">PA</option>
			<option value="RI">RI</option>
			<option value="SC">SC</option>
			<option value="SD">SD</option>
			<option value="TN">TN</option>
			<option value="TX">TX</option>
			<option value="UT">UT</option>
			<option value="VA">VA</option>
			<option value="VT">VT</option>
			<option value="WA">WA</option>
			<option value="WI">WI</option>
			<option value="WV">WV</option>
			<option value="WY">WY</option>
        </select>
        </td>
        </tr>

        <tr>
        <td class="label">Zip Code</td>
        <td class="input"><input type="text" name="gd_pbl_listing_zip" value="" /></td>
        </tr>

        <tr>
        <td class="label">Category</td>
        <td class="input">
        <?php echo getCategoryList(); ?>
        </td>
        </tr>

        <tr>
        <td class="label">Package</td>
        <td class="input">
        <?php echo getPackageList(); ?>
        </td>
        </tr>


    <tr><td class="submit" colspan="2"><input type="submit" value="<?php echo get_option('gd_pbl_butttext'); ?>" /></td></tr>

    </table>
    
	
</form>
<div style="clear:both;"></div></div>

<?php
}
} 